! Calculeaza:
! Functii: f(u); g(u,u'); p(t);
! Jacobieni: jf = df/du; jg = dg/du; jg1 =dg/du1;
!
subroutine fgp_j(t, XX, V)
use work
implicit real(8) (a-h, o-z)
real(8) xx(ngl), v(ngl)

x =XX(1); y=XX(2)
r2 = x*x+y*y; r = dsqrt(r2)
r3 = r2*r
r5 = r3*r2	!r5 = r**5

! f(u):
f(1) =XX(1)/r3
f(2) =XX(2)/r3

! Jacobianul lui f:
fd11 =(-2*x*x+y*y) / r5
fd12 = -3*x*y / r5
fd22 = (x*x-2*y*y) / r5

jf(1,1) =fd11
jf(1,2) =fd12

jf(2,1) =fd12
jf(2,2) =fd22

! g(u,u'):
x1 =V(1); y1 =V(2)
g = 0.

! Jacobianul Dg/Du:
jg =0.

! Jacobianul Dg/Du':
jg1 =0.


! p(t):
p = 0.

! P derivat:
dp =0.

END subroutine FGP_J
